#!/bin/bash

# Copyright: 2016-2020 www.corvin.cn
# Author: corvin
# Description: 用来更新panda代码,保持代码与服务器上最新代码同步.
#  更新好代码后,直接编译所有代码.
# History:
#  20200717:init this code.

green="\e[32;1m"
red="\e[31m"
normal="\e[0m"

echo -e "\n"
echo -e "${green}>>> 1: 开始从服务器更新代码${normal}"
git pull origin master
echo -e "${green}更新代码完成,准备编译代码${normal}"
echo -e "\n"

sleep 3
echo -e "${green}>>> 2:开始编译代码${normal}"
catkin_make
echo -e "${green}编译代码完成,现在可以运行代码${normal}"
echo -e "\n"

exit 0
